Add or update report
Add or update a report associated with a task.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the task.
Format
uuidtaskReportId*string
The ID of the task report.
Format
uuidRequest Body
application/json
The request containing the report details.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "format": "string", "emailEmbedment": true, "emailAttachment": true, "imageQuality": "string" }'"string"